Bug 453737 - [Wayland] 'Plasma' entry appears in the task manager when I open 'Klipper - Clipboard tool' menu by pressing meta+v while a window is focused
Summary: [Wayland] 'Plasma' entry appears in the task manager when I open 'Klipper - C...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Clipboard (show other bugs)
Version: master
Platform: Neon Packages Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-13 11:39 UTC by Patrick Silva
Modified: 2022-05-18 14:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (51.67 KB, image/png)
2022-05-13 11:39 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2022-05-13 11:39:08 UTC
Created attachment 148794 [details]
screenshot

STEPS TO REPRODUCE
1. use Wayland session
2. open any window
3. press meta+v: 'Klipper - Clipboard tool' menu opens and 'Plasma' entry appears in the task manager. Please see the attached screenshot.
4. minimize all windows and press meta+v again: 'Klipper - Clipboard tool' menu opens again but 'Plasma' entry does not appear in the task manager tgis time

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Patrick Silva 2022-05-13 11:41:48 UTC
EXPECTED RESULT
'Plasma' entry should never appear in the task manager when we open 'Klipper - Clipboard tool' menu

SOFTWARE/OS VERSIONS
Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.24.80
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.3
Graphics Platform: Wayland
Comment 2 Nate Graham 2022-05-13 15:02:03 UTC
Can confirm.
Comment 3 Bug Janitor Service 2022-05-17 12:03:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1739
Comment 4 David Redondo 2022-05-18 14:47:28 UTC
Git commit c668a641e9f64031b3cb94d4c3fdffe6d530d054 by David Redondo.
Committed on 18/05/2022 at 14:36.
Pushed by ngraham into branch 'master'.

Do not show Klipper popup in taskmanager or switcher on wayland

M  +2    -0    klipper/klipper.cpp

https://invent.kde.org/plasma/plasma-workspace/commit/c668a641e9f64031b3cb94d4c3fdffe6d530d054